Subject: bug#33548: 25.1; GUD GDB doesn't decode file paths correctly

From: ksqsf <[email-masked]>
Date: Fri, 30 Nov 2018 10:03:19 +0800

在 2018-11-29四的 21:35 +0200，Eli Zaretskii写道：
> Does it help to set gdb-mi-decode-strings to utf-8?

Yes! This fixes this problem for me. Thanks. This report can be closed
now. I think this variable deserves a mention in the doc anyway.
Actually it should be made default.

I noticed the warning, but can we do better? I mean, simply stops gdb
from escaping strings (does gdb even support this?), as _inconsistent_
escaping does nothing but introducing problems. LLDB seems to do better
job in this regard.